import { Observable } from 'rxjs';
import { AlertPopupConfig } from './alert-popup.service';
import { ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AlertPopupComponent implements OnInit, OnDestroy {
    private elRef;
    private renderer;
    config: AlertPopupConfig;
    /** Subject for notifying the user that the dialog has finished closing. */
    private afterClosedPopup;
    open: boolean;
    private timer;
    private observer;
    constructor(elRef: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    dismiss(): void;
    /**
     * Gets an observable that is notified when the dialog is finished closing.
     */
    afterClosed(): Observable<any>;
    ngOnDestroy(): void;
    private rgbToHex;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertPopupComponent, "wac-alert-popup", never, {}, {}, never, never, false, never>;
}
